lkml.org 
[lkml]   [2017]   [Sep]   [3]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Subject[PATCH 0/2] Two cleanups for Sphinx conf.py
Date
Hi Jon,

Those patches are just cleanups for Documentation/conf.py.

The first one removes a package usage directive for a LateX package
that it is not used.

The second one moves some LaTeX preamble code that it is used only
on Sphinx 1.4 and 1.5 to a separate if. On Sphinx 1.6, the macros there
are silently ignored. While the conf.py becomes a little bit more complex,
it clearly marks the backward-compatible code, with IMHO, it is a
good idea, specially as some day, we may drop support for older Sphinx
versions.

None of those patches are mandatory. Feel free to apply any time you
want (or discard them, if you don't thing it is worth).

Please notice that the second patch will trivially conflict with a patch
I sent before, removing \\usepackage{adjustbox}.

I suspect that, if you apply those two patches before the one I sent eariler,
you'll avoid the conflict.

Anyway, if you apply all tree patches, you'll have a Latex
Sphinx-independent preamble with just:

'preamble': '''
% Use some font with UTF-8 support with XeLaTeX
\\usepackage{fontspec}
\\setsansfont{DejaVu Serif}
\\setromanfont{DejaVu Sans}
\\setmonofont{DejaVu Sans Mono}
'''
}

And all version-dependent preamble inserted after testing for the
Sphinx version.

Mauro Carvalho Chehab (2):
docs-rst: conf.py: remove lscape from LaTeX preamble
docs-rst: conf.py: only setup notice box colors if Sphinx < 1.6

Documentation/conf.py | 65 ++++++++++++++++++++++++++++++++++-----------------
1 file changed, 43 insertions(+), 22 deletions(-)

--
2.13.5


\
 
 \ /
  Last update: 2017-09-03 21:14    [W:0.042 / U:6.008 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site